Subject: Re: bug#10047: Looking for help debugging an undo issue

From: Chong Yidong <[email-masked]>
Date: Thu, 09 Aug 2012 15:35:37 +0800

Stefan Monnier <[email-masked]> writes:

> I've installed a patch which reduces align.el's use of markers a
> little bit.  It seems sufficient to get your test case to work, but I
> can't guarantee it will solve the problem in your more general case.
> It'd take a bit more analysis of align.el's code to figure out how to
> fix it further.

I fixed align-region to delete the temporary markers it uses.  This
seems to clear up the remaining problems.